Bug 8563 - gcc breaks on source file
Summary: gcc breaks on source file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1998-11-03 22:00 UTC by ripley
Modified: 1998-11-18 23:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ripley 1998-11-03 22:00:01 UTC
While making imlib-1.8.1 as a dependency to enlightenment:

cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I. -I../gdk_imlib -I../gdk_imlib -I/usr/X11R6/include/gtk11 -I/usr/X11R6/include -I/usr/local/include/glib -I/usr/local/include -I/usr/X11R6/include/gtk11 -I/usr/X11R6/include -I/usr/local/include/glib -O -c testimg.c
testimg.c:13217: virtual memory exhausted
gmake[2]: *** [testimg.o] Error 1
gmake[2]: Leaving directory `/usr/ports/graphics/imlib/work/imlib-1.8.1/utils'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/graphics/imlib/work/imlib-1.8.1'
gmake: *** [all-recursive-am] Error 2
*** Error code 2

Stop.

How-To-Repeat: 
cd /usr/ports/graphics/imlib && make
Comment 1 Charlie Root 1998-11-04 00:38:53 UTC
On 03-Nov-98 ripley@beng.org wrote:
>  cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I. -I../gdk_imlib -I../gdk_imlib
>  -I/usr/X11R6/include/gtk11 -I/usr/X11R6/include -I/usr/local/include/glib
>  -I/usr/local/include -I/usr/X11R6/include/gtk11 -I/usr/X11R6/include
>  -I/usr/local/include/glib -O -c testimg.c
>  testimg.c:13217: virtual memory exhausted
>  gmake[2]: *** [testimg.o] Error 1
>  gmake[2]: Leaving directory
>  `/usr/ports/graphics/imlib/work/imlib-1.8.1/utils'
>  gmake[1]: *** [all-recursive] Error 1
>  gmake[1]: Leaving directory `/usr/ports/graphics/imlib/work/imlib-1.8.1'
>  gmake: *** [all-recursive-am] Error 2
>  *** Error code 2
Trying running it as root and typing unlimit..
gcc is a pig :)

---
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
"The nice thing about standards is that there
are so many of them to choose from."
  -- Andrew Tanenbaum
Comment 2 Bill Fumerola 1998-11-04 14:46:18 UTC
On Tue, 3 Nov 1998 ripley@beng.org wrote:

> 
> >Number:         8563
> >Category:       ports
> >Synopsis:       gcc breaks on source file

> >Description:
> 
> While making imlib-1.8.1 as a dependency to enlightenment:
> 
> cc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I. -I../gdk_imlib -I../gdk_imlib -I/usr/X11R6/include/gtk11 -I/usr/X11R6/include -I/usr/local/include/glib -I/usr/local/include -I/usr/X11R6/include/gtk11 -I/usr/X11R6/include -I/usr/local/include/glib -O -c testimg .c
> testimg.c:13217: virtual memory exhausted
> gmake[2]: *** [testimg.o] Error 1
> gmake[2]: Leaving directory `/usr/ports/graphics/imlib/work/imlib-1.8.1/utils'
> gmake[1]: *** [all-recursive] Error 1
> gmake[1]: Leaving directory `/usr/ports/graphics/imlib/work/imlib-1.8.1'
> gmake: *** [all-recursive-am] Error 2
> *** Error code 2
> 
> Stop.

Normally I use 'sudo' to install ports, but for this port, I had to `su
-'' for it to work. ``ulimit'' also helped.

- bill fumerola [root/billf]@chc-chimes.com - computer horizons corp -
-  ph:(800)252.2421 x128 / bfumerol@computerhorizons.com - BF1560  -

	"Logic, like whiskey, loses its beneficial effect 
	when taken in too large quantities" -Lord Dunsany
Comment 3 Jacques Vidrine freebsd_committer 1998-11-13 23:06:48 UTC
State Changed
From-To: open->feedback

Looks like a pilot error.  Read login.conf(5), and the documentation 
for your shell (look for limit or ulimit). 
Comment 4 Jacques Vidrine freebsd_committer 1998-11-18 23:33:46 UTC
State Changed
From-To: feedback->closed

User error -- just needed to adjust process limits.